import { RouteLocationNormalized } from 'vue-router';
import { ResourceRoute } from '../interface';
export declare const router: import("vue-router").Router;
export declare function buildResourceRoutes(route: ResourceRoute): any[];
export declare function handleProtected(to: RouteLocationNormalized): Promise<any>;
